## speedometer 0.2

=== Makefile ===
PKGS     = gtk+-2.0 liblocation gconf-2.0 libosso
CC       = gcc
LINK     = gcc
CFLAGS   = -g -Wall -O0 -pedantic -std=gnu99
INCPATH  = `pkg-config --cflags $(PKGS)`
LIBS     = `pkg-config --libs $(PKGS)`

SOURCES  = main.c callbacks.c ui.c util.c
OBJECTS  = main.o callbacks.o ui.o util.o
TARGET   = speedometer


all: $(TARGET)

$(TARGET):  $(OBJECTS)
	$(LINK) $(LIBS) $(OBJECTS) -o $(TARGET) 

$(OBJECTS): $(SOURCES)
	$(CC) $(INCPATH) $(CFLAGS) -c $(SOURCES) 

clean:
	rm -f $(OBJECTS) $(TARGET)
	
install: all
	install -D -m 755 speedometer $(DESTDIR)/usr/bin/speedometer
	install -D data/speedometer.desktop $(DESTDIR)/usr/share/applications/hildon/speedometer.desktop
	install -D data/speedometer.service $(DESTDIR)/usr/share/dbus-1/services/speedometer.service
	install -d $(DESTDIR)/usr/share/speedometer/
	install data/*.png $(DESTDIR)/usr/share/speedometer/
	install -D icons/speedometer-64.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/speedometer.png

uninstall:
	rm -rf $(DESTDIR)/usr/share/speedometer
	rm -f $(DESTDIR)/bin/speedometer
	rm -f $(DESTDIR)/usr/share/applications/hildon/speedometer.desktop
	rm -f $(DESTDIR)/usr/share/dbus-1/services/speedometer.service

deb:
	dpkg-buildpackage -rfakeroot -b

=== debian/changelog ===
speedometer (0.2) unstable; urgency=low

  * Added simple instructions how to quit the program.

 -- Wellu Mäkinen <wellu@wellu.org>  Wed, 15 Oct 2008 20:00:06 +0300

speedometer (0.1) unstable; urgency=low

  * Initial release.

 -- Wellu Mäkinen <wellu@wellu.org>  Wed,  8 Oct 2008 20:26:02 +0300

=== debian/control ===
Source: speedometer
Section: user/other
Priority: extra
Maintainer: Wellu Mäkinen <wellu@wellu.org>
Build-Depends: debhelper (>= 5), liblocation-dev, libosso-dev, libhildon1-dev
Standards-Version: 3.7.2

Package: speedometer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shows your current speed on the screen using GPS.
 Speedometer is an application that shows your current
 speed on the screen in different units. Supported units are
 km/h, mph, m/s and f/s. Mount it to your car, boat or bicycle
 and you'll get as accurate speed as possible.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9gKCA4kFSsWLOsAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAABjElEQVRIx+2WvarCMBiGX+WgdhYHoeDP0MUbcEsoXXRyELyc
 0MFN/NlcvIDiJYgmuQJ3XRQ6agsKrt8ZxMI5WukBKxzwhQzJk+Qh5IdkpJTk
 ui4AgDGGV0ZrDQAQQgCcc+Kck5SSXh0pJd3mR1qS37IsYwycc6QVzjkYY8ji
 TfmIPqJ40Xw+R6PRQD6fR7PZxHq9jlgQBHAcB4VCAY7jIAzDRCxW5HkewjBE
 t9tFr9eLmBAClmUhCAJYlnV9WhKwW4fYW306ncgwjKheq9Vou90SEdFms6F6
 vZ6ICSHo6R6Nx2N0Op2o7vs+KpUKAKBarcL3/UQMAL7iJLPZDJ7nQUqZ3qmb
 TCYYDAZYLBYolUpRu2ma2O/3AIDdbgfTNBOxh6J+v4/pdIrVaoVyufyDtdtt
 DIdDXC4XjEYjtFqtROzhYQBwV87nMxERHQ4Hsm2bcrkc2bZNx+MxGveMCSHo
 bo+urscpFotYLpd/Zp+37p+ItNZQSqUmUEpBa31dkeu6qciUUrj9GTPv+kB+
 A/Cv7s/4BhwSAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/speedometer.sgml > speedometer.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf debian/speedometer

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/speedometer.
	$(MAKE) DESTDIR=$(CURDIR)/debian/speedometer install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## speedometer 0.3

=== debian/changelog ===
speedometer (0.3) unstable; urgency=low

  * Simplified event handling so that the whole screen responds to events.

 -- Wellu Mäkinen <wellu@wellu.org>  Wed, 29 Oct 2008 20:34:17 +0200

## speedometer 0.32

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 PKGS     = gtk+-2.0 liblocation gconf-2.0 libosso
 CC       = gcc
 LINK     = gcc
-CFLAGS   = -g -Wall -O0 -pedantic -std=gnu99
+CFLAGS   = -g -Wall -O0 -pedantic -std=gnu99 `pkg-config --cflags maemo-launcher-app` 
 INCPATH  = `pkg-config --cflags $(PKGS)`
-LIBS     = `pkg-config --libs $(PKGS)`
+LIBS     = `pkg-config --libs $(PKGS) maemo-launcher-app`
 
 SOURCES  = main.c callbacks.c ui.c util.c
 OBJECTS  = main.o callbacks.o ui.o util.o

=== debian/changelog ===
speedometer (0.32) unstable; urgency=low

  * Fixed a crash when speed is more than 1000 km/h.

 -- Wellu Mäkinen <wellu@wellu.org>  Fri, 20 Feb 2009 16:28:06 +0200

speedometer (0.31) unstable; urgency=low

  * Added maemo-launcher support to speed startup a bit.
  * Fixed postrm script so that it will clean everything on purge.
  * Replaced unnecessary and buggy delete-event emission. 

 -- Wellu Mäkinen <wellu@wellu.org>  Fri, 09 Jan 2009 20:52:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: speedometer
-Section: user/other
+Section: user/navigation
 Priority: extra
 Maintainer: Wellu Mäkinen <wellu@wellu.org>
-Build-Depends: debhelper (>= 5), liblocation-dev, libosso-dev, libhildon1-dev
+Build-Depends: debhelper (>= 5), liblocation-dev, libosso-dev, libhildon1-dev, maemo-launcher-dev
 Standards-Version: 3.7.2
 
 Package: speedometer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
 Description: Shows your current speed on the screen using GPS.
  Speedometer is an application that shows your current
  speed on the screen in different units. Supported units are

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,10 @@
 
 
 
-CFLAGS = -Wall -g
-
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
+	CFLAGS += -O0 -g -Wall
 else
-	CFLAGS += -O2
+	CFLAGS += -O2 -g -Wall
 endif
 
 configure: configure-stamp
@@ -91,6 +89,7 @@
 #	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
+	dh_maemolauncher
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## speedometer 2.6

=== debian/changelog ===
speedometer (2.6-3) unstable; urgency=low

  * debian/control
    - (Depends): Update to python-urwid (>= 0.9.9.1), because (0.9.9) is
      not compatible (Closes: #569070). Update to debhelper 7.1 due to
      oveerrides in debian/rules
    - (Standards-Version): update to 3.8.4.
  * debian/rules:
    - (binary-indep): Remove unused commands.
    - (install): remove target.
    - (override_dh_auto_install): New target.
    - (.PHONY): cleanup targets.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 22 Feb 2010 16:18:59 +0200

speedometer (2.6-2) unstable; urgency=low

  * Move to packaging format: 3.0 (quilt).
  * debian/clean
    - Move content from 'rules' for dh(1) to use.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update to debhelper 7.
    - (Description): convert examples to bullets.
    - (Depends): add ${misc:Depends} for debhelper,
      add version to dependency python-urwid (>= 0.9.1).
    - (Standards-Version): update to 3.8.3
  * debian/copyright
    - (GPL): Use FSF URL (FSF recommendation).
  * debian/rules
    - Remove rules obsoleted by dh(1).
  * debian/source/format
    - New file.
  * debian/speedometer.1
    - Delete file generated from *.pod source (see debian/rules::man).
  * debian/speedometer.manpages
    - Move content from 'rules' for dh(1) to use.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 19 Dec 2009 13:52:03 +0200

speedometer (2.6-1) unstable; urgency=low

  * New upstream version. (Closes: #473420).
  * debian/changelog
    - Adjust indentation and layout.
    - Change time to ISO 8601 notation.
  * debian/control
    - (Vcs-*): New fields.
    - (Homepage): move to separate field.
    - (Standards-Version): Update to 3.8.0.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 18 Oct 2008 01:07:47 +0300

speedometer (2.4-1) unstable; urgency=low

  * Initial release (Closes: #404671)

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 13 Jan 2007 20:34:25 +0200

=== debian/control ===
Source: speedometer
Section: utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/speedometer.git
Vcs-Git: git://git.debian.org/git/collab-maint/speedometer.git

Package: speedometer
Architecture: all
Depends: ${misc:Depends}, python (>= 2.3), python-urwid (>= 0.9.9.1)
Homepage: http://excess.org/speedometer
Description: measure and display the rate of data across a network connection
 Monitor network traffic or speed/progress of a file transfer. The
 program can be used for cases like:
 .
  - how long it will take for 38 MiB transfer to finish
  - how quickly is another transfer going
  - how fast is the upstream on this ADSL line
  - how fast is data written to a filesystem.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE = speedometer
BIN	= $(PACKAGE).py
MANSECT = 1
MANPAGE	= debian/$(PACKAGE).$(MANSECT)

include debian/debian-vars.mk

man:
	# target: man -- Convert *.pod to manual page
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) \
	MANSECT=$(MANSECT) makeman

override_dh_auto_install: man
	install -D -m 755 $(BIN) $(PKGDIR)/usr/bin/$(PACKAGE)

binary-indep: install
	# targer: binary-indep -- Build architecture-independent files here.
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

%:
	dh $@

.PHONY: configure build man
.PHONY: binary-indep binary

# End of file

## speedometer 2.7

=== debian/changelog ===
speedometer (2.7-1) unstable; urgency=low

  * New upstream release
    - Fix Python 2.5.4 DeprecationWarning: The popen2 module is deprecated
      (Closes: #583573).
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP5.
    - (Files: *): Correct license to LGPL 2.1.
  * debian/*.mk
    - Minor updates.
  * debian/speedometer.1.pod
    - (top level): Proper starting comment.
    - (DESCRIPTION): Improve documentation to note that
      traffic must be generated (Closes: #583576).
    - (EXAMPLES): Adjust indentation.
    - (SEE ALSO): Add more programs.
    - (AUTHORS): Adjust wording.
  * debian/rules
    - (PKGDIR): New.
    - (get-changelog): New.
    - Cleanup rules handled by dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Apr 2011 19:34:18 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/speedometer.git
 Vcs-Git: git://git.debian.org/git/collab-maint/speedometer.git

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE 	= speedometer
BIN		= $(PACKAGE).py
PKGDIR		= $(shell pwd)/debian/$(PACKAGE)
CHANGELOG	= debian/upstream.changelog
URL		= https://excess.org/hg/speedometer

# Run manually when package is updated
get-changelog:
	hg log $(URL) > $(CHANGELOG)

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_install: man
	install -D -m 755 $(BIN) $(PKGDIR)/usr/bin/$(PACKAGE)

%:
	dh $@

.PHONY: man get-changelog

# End of file

## speedometer 2.8

=== debian/changelog ===
speedometer (2.8-3) unstable; urgency=medium

  * New maintainer. (Closes: #920070)
  * Switch to Python 3, consequently:
      - debian/control: updated dependencies to python3.
      - debian/patches/update-to-python3.patch: added to provide
        python3 support. (Closes: #943229)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added the field Rules-Requires-Root: no
      - Standards-Version: bumped to 4.4.1 (no changes needed)
      - Switch VCS URLs to salsa.debian.org
  * debian/copyright:
      - Added safe uri (https) to Format.
      - Updated years and rights.
  * debian/rules:
      - Added pybuild support.
      - Updated to reduced format.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/upstream.changelog: removed, upstream no longer uses hg repo.
  * debian/watch:
      - migrated to version 4.
      - updated to new repository in Github an using new variables.


 -- Giovani Augusto Ferreira <giovani@debian.org>  Tue, 17 Dec 2019 10:43:07 -0300

speedometer (2.8-2) unstable; urgency=medium

  * debian/compat
    - Updae to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Homepage): Move field.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.
  * debian/pod2man.mk
    - Make build reproducible (Closes: 782221).
      Patch thanks to Reiner Herrmann <reiner@reiner-h.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 19 Oct 2016 18:25:25 +0300

speedometer (2.8-1) unstable; urgency=low

  [Jari Aalto]
  * New upstream release
    - Linear scale (Closes: #415397).
  * debian/copyright
    - (Format): Update URL.
  * debian/rules
    - (get-changelog): Add more commentary.
  * debian/upstream.changelog
    - Update.

  [tony mancill]
  * Add python-setuptools to Build-Depends

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 09 Dec 2011 14:30:46 +0200

=== debian/control ===
Source: speedometer
Section: utils
Priority: optional
Maintainer: Giovani Augusto Ferreira <giovani@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3, python3-psutil, python3-setuptools, python3-six
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/speedometer.git
Vcs-Browser: https://salsa.debian.org/debian/speedometer
Homepage: http://excess.org/speedometer

Package: speedometer
Architecture: all
Depends: python3-psutil,
         python3-setuptools,
         python3-six,
         python3-urwid,
         ${misc:Depends},
         ${python3:Depends}
Description: measure and display the rate of data across a network connection
 Monitor network traffic or speed/progress of a file transfer. The
 program can be used for cases like:
 .
  - how long it will take for 38 MiB transfer to finish
  - how quickly is another transfer going
  - how fast is the upstream on this ADSL line
  - how fast is data written to a filesystem.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= speedometer
BIN		= $(PACKAGE).py
PKGDIR		= $(shell pwd)/debian/$(PACKAGE)

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_install: man
	install -D -m 755 $(BIN) $(PKGDIR)/usr/bin/$(PACKAGE)

%:
	dh $@ --buildsystem=pybuild --with python3

.PHONY: man

=== debian/watch ===
version=4
https://github.com/wardi/speedometer/releases .*/archive/release?@ANY_VERSION@@ARCHIVE_EXT@

## speedometer 2.9

=== debian/changelog ===
speedometer (2.9-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove useless runtime dependency on python3-setuptools

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 13:44:21 +0100

speedometer (2.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 2.9 (Closes: #1040427)
  * Fix GitHub watch file
  * Add gbp.conf
  * Fix typo in manpage (Closes: #980220) (LP: #1644070)
  * Remove dependency on python3-six
  * Remove old python3 port as a patch
  * Add patch to avoid ugly DeprecationWarning

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields
  * Update standards version to 4.6.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 08 Jan 2024 04:53:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, python3, python3-psutil, python3-setuptools, python3-six
-Standards-Version: 4.4.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3,
+ python3-psutil,
+ python3-setuptools,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/speedometer.git
 Vcs-Browser: https://salsa.debian.org/debian/speedometer
-Homepage: http://excess.org/speedometer
+Homepage: https://excess.org/speedometer
 
 Package: speedometer
 Architecture: all
 Depends: python3-psutil,
-         python3-setuptools,
-         python3-six,
          python3-urwid,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= speedometer
BIN		= $(PACKAGE).py
PKGDIR		= $(shell pwd)/debian/$(PACKAGE)

%:
	dh $@ --buildsystem=pybuild --shebang=/usr/bin/python3

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_install: man
	install -D -m 755 $(BIN) $(PKGDIR)/usr/bin/$(PACKAGE)

.PHONY: man

=== debian/watch ===
version=4
https://github.com/wardi/speedometer/tags .*/release-@ANY_VERSION@@ARCHIVE_EXT@
